starknet_getBlockTransactionCount

Returns the number of transactions in the designated block.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Object NameRequiredTypeDetail
BLOCK PARAMETER✅String"block_hash", "block_number", "latest", "pending"
"params": [
    {
        "block_number": 5000
    }
]

Result

The number of transactions in the designated block.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "starknet_getBlockTransactionCount",
    "params": [
        {
            "block_number": 5000
        }
    ],
    "id": 0
}'

Return

{
    "jsonrpc": "2.0",
    "result": 284,
    "id": 1
}
Path Params
string
required
Defaults to 8aaf885beba8418cbf4e6788083e1f9e
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"starknet_syncing","params": [],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json